<?php

//
// This plugin integrates webcalng into Squirrelmail.
// Plugin Version 1.0
//

// This is the code to handle options set in squirrelmail for webcalng.
// The only option really needed is what calendar we are trying to log
// into automatically when starting up squirrelmail.

// Load required squirrelmail information, then display header.
define('SM_PATH','../../');
require_once(SM_PATH . 'include/validate.php');
require_once(SM_PATH . 'include/load_prefs.php');
global $color;
displayPageHeader($color, 'None');

// Check to see if we are displaying the preference form or saving data.
if (isset($_POST['webcalng_calendar'])) {
    save_preference();
} else {
    display_preference();
}

// This function just displaying the form to allow the user to set the
// calendar name that they want to attempt to auto login to.
function display_preference () {
    global $color, $data_dir; 

    sqgetGlobalVar('username', $username, SQ_SESSION);
    $webcalng_calendar = getPref($data_dir, $username, 'webcalng_calendar');
    echo "
<BR><BR>
<FORM METHOD=post>
<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 BGCOLOR=$color[7] ALIGN=center WIDTH=60%>
<TR>
  <TD>
    <TABLE BORDER=0 CELLSPACING=1 CELLPADDING=20 BGCOLOR=$color[7] ALIGN=center>
    <TR>
      <TD BGCOLOR=#ffffff ALIGN=center>
        <TABLE>
        <TR>
          <TD>
            <B>webcalng Options</B>
          </TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>
        <TR>
          <TD> 
            <FONT SIZE=-1>
              You can configure SquirrelMail to attempt an automatic login
              to webcalng when you login to SquirrelMail.  Enter the calendar
              name here that you would like to automatically access when 
              logging in to SquirrelMail.  In order for automatic login to
              occur, this webcalng calendar must have a preference set that
              gives permission to your SquirrelMail account.
            </FONT>
          </TD> 
        </TR>
        <TR><TD>&nbsp;</TD></TR>
        <TR>
          <TD> 
            <FONT SIZE=-1><B>Calendar Name</B></FONT>
            &nbsp;&nbsp;
            <INPUT TYPE=text SIZE=20 MAXLENGTH=50 NAME=webcalng_calendar VALUE=\"$webcalng_calendar\">
          </TD>
        </TR>
        <TR><TD>&nbsp;</TD></TR>
        <TR>
          <TD> 
            <INPUT TYPE=submit>
          </TD>
        </TR>
        </TABLE>
      </TD>
    </TR>
    </TABLE>
  <TD/>
</TR>
</TABLE>  
</FORM>
    ";
}

// Save the preference.
function save_preference () {
    global $color, $data_dir;

    sqgetGlobalVar('username', $username, SQ_SESSION);
    sqgetGlobalVar('webcalng_calendar', $webcalng_calendar);
    setPref($data_dir, $username, 'webcalng_calendar', $webcalng_calendar);
    sqsession_unregister('webcalng_logged_in');
    echo "
<BR><BR>
<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 BGCOLOR=$color[7] ALIGN=center>
<TR>
  <TD>
    <TABLE BORDER=0 CELLSPACING=1 CELLPADDING=20 BGCOLOR=$color[7] ALIGN=center>
    <TR>
      <TD BGCOLOR=#ffffff ALIGN=center>
        <TABLE>
        <TR>
          <TD ALIGN=center>
            <B>Preference set successfully!</B>  
            <BR>
            <BR>
            <A HREF=options.php CLASS=navlinks>OK</A>
          </TD>
        </TR>
        </TABLE>
      </TD>
    </TR>
    </TABLE>
  <TD/>
</TR>
</TABLE>  
    ";
}
