<?php

//
// This plugin integrates webcalng into Squirrelmail.
// Plugin Version 1.0
//

// This file contains common functions used by the webcalng plugin scripts.
global $webcalng_db_dir;
$webcalng_db_dir = "__db_dir__";

// Read webcalng.conf and set appropriate variables.
function webcalng_read_config() {
    global $webcalng_db_dir, $webcalng_http, $webcalng_http_host,
           $webcalng_webcal, $webcalng_sq_secret;

    $webcalng_config_file = $webcalng_db_dir . "/webcalng.conf";
    $lines = file($webcalng_config_file);
    foreach ($lines as $line) {
        $line = trim($line);
        if (preg_match ('/=/', $line)) {
            list ($key, $value) = preg_split ('/=/', $line);
            if ($key == "WEBCAL")
                $webcalng_webcal = $value;
            if ($key == "HTTP")
                $webcalng_http = $value;
            if ($key == "HTTP_HOST")
                $webcalng_http_host = $value;
            if ($key == "SQ_SECRET")
                $webcalng_sq_secret = $value;
        }
    }
    if ((! $webcalng_webcal) || (! $webcalng_http) || (! $webcalng_http_host) || (! $webcalng_sq_secret)) {
        die ("Failed reading webcalng.conf file: $webcalng_config_file");
    }
}

?>
